Downgrade glibc ...

Портежи предлагают сделать downgrade glibc:

[ebuild UD ] sys-libs/glibc-2.12.2 [2.13-r4]

но это не позволяется и не рекомендуется.
Как корректно запретить портежам трогать glibc?

Попробуйте вписать sys-libs/glibc-2.12.2 сюда /etc/portage/profile/package.provided